# smbmnt (1)

## Samba

## 25 September 1999

## NAME

smbmnt - helper utility for mounting SMB filesystems

## SYNOPSIS

smbmnt mount-point [ -s share ] [ -r ] [ -u uid ] [ -g gid ] [ -f mask ] [ -d mask ]

## DESCRIPTION

smbmnt is a helper application used by the smbmount program to do the actual mounting of SMB shares. smbmnt is meant to be installed setuid root so that normal users can mount their smb shares. It checks whether the user has write permissions on the mount point and then mounts the directory.

The smbmnt program is normally invoked by smbmount. It should not be invoked directly by users.

-r
  mount the filesystem read-only

-u uid
  specify the uid that the files will be owned by

-g gid
  specify the gid that the files will be owned by

-f mask
  specify the octal file mask applied

-d mask
  specify the octal directory mask applied

  ## AUTHOR

  The maintainer of smbfs, smbmnt and smbmount is Andrew Tridgell tridge@samba.org